#!/bin/sh
# Script para a Criacao dos DVBs virtuais - acesso Ragio
# By higor@ragio.com.br - higor@radicaltec.com

if [ -e /dev/.devfsd ]; then
echo "Parece que voce esta usando devfs. Muito bom!"
exit 0
fi

# Remocao de antigos dispositivos DVB; procedimento executado duas vezes por garantia...
rm -rf /dev/ost
rm -rf /dev/ost
rm -rf /dev/dvb
rm -rf /dev/dvb

mkdir /dev/dvb
chmod 755 /dev/dvb

for i in `seq 0 3`; do
echo "Criando os dispositivos DVB em /dev/dvb/adapter$i"
mkdir /dev/dvb/adapter$i
chmod 755 /dev/dvb/adapter$i
mknod -m 0600 /dev/dvb/adapter$i/video0 c 212 `expr 64 \* $i + 0`
mknod -m 0600 /dev/dvb/adapter$i/audio0 c 212 `expr 64 \* $i + 1`
mknod -m 0600 /dev/dvb/adapter$i/frontend0 c 212 `expr 64 \* $i + 3`
mknod -m 0600 /dev/dvb/adapter$i/demux0 c 212 `expr 64 \* $i + 4`
mknod -m 0600 /dev/dvb/adapter$i/dvr0 c 212 `expr 64 \* $i + 5`
mknod -m 0600 /dev/dvb/adapter$i/ca0 c 212 `expr 64 \* $i + 6`
mknod -m 0600 /dev/dvb/adapter$i/net0 c 212 `expr 64 \* $i + 7`
mknod -m 0600 /dev/dvb/adapter$i/osd0 c 212 `expr 64 \* $i + 8`
chown root.video /dev/dvb/adapter$i/*
done
